$(document).ready(function () {
    $('body').on('click', '.iframe-wrapper', showVideoPlayer);
});

function hideVideoPlayer(event) {

    var $videoPlayer = $('body').data('video-player');
    var $target = $(event.originalEvent.target);
    console.log($target.closest($videoPlayer).length);

    console.log($target.closest('.edit-wrapper.selected').length);

    if (event.target != window && !$target.closest($videoPlayer).length && !$target.closest('.iframe-wrapper').length) {
        $videoPlayer.closest('#video-player-shield').addClass('hide');
        $videoPlayer.children('iframe').attr('src', '');
    }
    else {
        $('body').one('click', hideVideoPlayer);
        $(window).one('blur', hideVideoPlayer);
    }
    event.stopPropagation();
}

function showVideoPlayer() {
    console.log('show video player');
    var $videoElement = $(this).children('iframe');
    var $videoPlayer = $('body').data('video-player');

    if (!$videoPlayer) {
        $videoPlayer = $('<div id="video-player"><iframe></iframe></div>').appendTo('body');
        $('body').data('video-player', $videoPlayer);
        $videoPlayer.wrap('<div id="video-player-shield">');
    }
    $videoPlayer.css(this.getBoundingClientRect());
    $videoPlayer.children('iframe').attr('src', $videoElement.attr('src') + '?autoplay=1');
    $videoPlayer.closest('#video-player-shield').removeClass('hide');
    $('body').one('click', hideVideoPlayer);
    $(window).one('blur', hideVideoPlayer);
}